<template>
  <div class="flex flex-col items-center space-y-2">
    <ul class="flex flex-col space-y-2">
      <li v-for="item in store.floors" :key="item.id" :class="[ 'cursor-pointer text-center w-14 py-1 px-2 rounded-md', store.selectedFloorId === item.id ? 'bg-blue-default' : '']" @click="() => store.onSelectFloor(item.id)">
        <t-span size="text-md" :class="store.selectedFloorId === item.id ? 'text-white' : 'text-black-light'">
          {{ item.name }}
        </t-span>
      </li>
    </ul>
  </div>
</template>

<script>
import { defineComponent } from '@nuxtjs/composition-api'
import { useBuilding } from '~/store/building'
import TSpan from '~/components/shared/typography/Span'

export default defineComponent({
  components: { TSpan },
  setup() {
    const store = useBuilding()
    return { store }
  },
})
</script>
